# coding: utf-8
from sqlalchemy import CHAR, Column, DateTime, String, text
from sqlalchemy.dialects.mysql import INTEGER, TINYINT

from config.mysql import Base


class BdYlks(Base):
    __tablename__ = 'bd_ylks'

    pk_ylks = Column(INTEGER(11), primary_key=True, comment='科室主键')
    code = Column(String(12), nullable=False, index=True, comment='编码')
    name = Column(String(200), comment='名称')
    cpym = Column(String(40), comment='拼音码')
    pk_father = Column(INTEGER(11))
    cIsBottom = Column(CHAR(1), comment='是否底层')
    depiction = Column(String(100), comment='备注')
    creator = Column(String(20), comment='创建人')
    creationtime = Column(DateTime, comment='创建时间')
    modifier = Column(String(20), comment='最后修改人')
    modifiedtime = Column(DateTime, comment='最后修改时间')
    enablestate = Column(TINYINT(4), server_default=text("'1'"), comment='启用状态')
    create_by = Column(String(100), comment='创建人')
    create_time = Column(DateTime, server_default=text("CURRENT_TIMESTAMP"), comment='创建时间')
    update_by = Column(String(100), comment='更新人')
    update_time = Column(DateTime, comment='更新时间')
    del_flag = Column(TINYINT(1), server_default=text("'0'"), comment='删除标记')
